Jessica Lin
Jessica Lin
  • 5
  • 36 302
Code with Jess - Leetcode #224 Basic Calculator
Thanks for watching!
Please let me know what other problems do you want me to do :)
The link to the problem:
leetcode.com/problems/basic-calculator/
มุมมอง: 19 292

วีดีโอ

Code with Jess - Leetcode #239 Sliding Window Maximum
มุมมอง 14K5 ปีที่แล้ว
Thanks for watching! Please let me know what other problems do you want me to do :) The link to the problem: leetcode.com/problems/sliding-window-maximum/
Code with Jess - Leetcode #151 Reverse Words in a String
มุมมอง 1.2K5 ปีที่แล้ว
Thanks for watching! The link to the problem: leetcode.com/problems/reverse-words-in-a-string/
Code with Jess - Leetcode #138 Copy A List with Random Pointers
มุมมอง 1.5K5 ปีที่แล้ว
Bare with my bad explanation please :P Link to the problem leetcode.com/problems/copy-list-with-random-pointer/
Code with Jess - Leetcode #146 LRUCache
มุมมอง 3745 ปีที่แล้ว
I know it's not perfect :P Forgive me. Still practicing. Link to the problem: leetcode.com/problems/lru-cache/

ความคิดเห็น

  • @masterbruculous
    @masterbruculous 3 หลายเดือนก่อน

    Amazing explanation, very easy to understand! Great job!

  • @AdpYTExplorer
    @AdpYTExplorer 3 หลายเดือนก่อน

    Very clear! I just wish you uploaded more videos. They are a great reference point for me since i mainly code in JAVA

  • @AdpYTExplorer
    @AdpYTExplorer 3 หลายเดือนก่อน

    Great job this helped me a lot

  • @峻同林
    @峻同林 ปีที่แล้ว

    I spent hours reading the explanation from Leetcode without understanding until I watched your video. You are my Leetcode savior. Nice explanation.

  • @continnum_radhe-radhe
    @continnum_radhe-radhe ปีที่แล้ว

    Hey it shows time limit exceed

  • @mruduladdipalli5417
    @mruduladdipalli5417 ปีที่แล้ว

    hands down, clear code and great explanation

  • @kevintravelsgram
    @kevintravelsgram ปีที่แล้ว

    So good!

  • @astronautatul
    @astronautatul 2 ปีที่แล้ว

    Nice explanation jassica, Thanks!

  • @devnull711
    @devnull711 2 ปีที่แล้ว

    very good solution and explenation!

  • @headyshotta5777
    @headyshotta5777 2 ปีที่แล้ว

    I don't understand line 20 here. if(!dq.isEmpty() && dq.peekFirst() == i - k).... peekFirst() returns the actual deque value, not its index, so why are we comparing it to the index minus the window size (i - k)? I see that it works but I am having trouble following the logic here.

    • @rrjack12345
      @rrjack12345 2 ปีที่แล้ว

      The values in the deque ARE the indexes corresponding to the nums array

  • @sevenw7150
    @sevenw7150 2 ปีที่แล้ว

    The best I've viewed! Explanation is precise but on point and walking through an example helps so much

  • @xiaolongliu5928
    @xiaolongliu5928 2 ปีที่แล้ว

    i definitely love this video, no bull shit, straight to the example, nice comment, case analyst. And your pronuciation is amazing. OMG

  • @charlesliu1439
    @charlesliu1439 2 ปีที่แล้ว

    nice

  • @weizhou4974
    @weizhou4974 2 ปีที่แล้ว

    Wow, Jess, this is amazing! Please make more videos like this!

  • @Jan_Jan_
    @Jan_Jan_ 2 ปีที่แล้ว

    Thank you!

  • @mehershrishtinigam5449
    @mehershrishtinigam5449 2 ปีที่แล้ว

    thank you!

  • @scy1990s
    @scy1990s 2 ปีที่แล้ว

    Thank you for this great explanation!

  • @nehascorpion
    @nehascorpion 2 ปีที่แล้ว

    Very well explained. Thanks a ton!

  • @pinkylover911
    @pinkylover911 2 ปีที่แล้ว

    vary nice explanation

  • @annsway
    @annsway 2 ปีที่แล้ว

    The best explanation I found so far for this question. Thank you!

  • @yongfulu8984
    @yongfulu8984 2 ปีที่แล้ว

    讲的很好,但是由于显示器太大,所以字好小

  • @monkeyboy4542
    @monkeyboy4542 2 ปีที่แล้ว

    How the hell are you not famous.!?

  • @suhailahmed278
    @suhailahmed278 2 ปีที่แล้ว

    Really nice solution! Many thanks for posting, & keep posting please :)

  • @zhenlinjin3142
    @zhenlinjin3142 3 ปีที่แล้ว

    Hi again! Can you please do a video where you solve the Basic Calculator III, that comes with all operands and parentheses?

  • @meylyssa3666
    @meylyssa3666 3 ปีที่แล้ว

    You could have made the size bigger, it's difficult to see your code

  • @zhenlinjin3142
    @zhenlinjin3142 3 ปีที่แล้ว

    Thank you for your explanation! I just stumbled upon your channel and really like it! One thing about your algorithm regarding push n pop during open/close paran is that we should push number before sign, and pop sign before number.

  • @lingronghu7595
    @lingronghu7595 3 ปีที่แล้ว

    Love your video!! You explained the solution so clear in such a short time!!!

  • @kushalpatil5494
    @kushalpatil5494 3 ปีที่แล้ว

    Clearly Understandable!! Thanks!!

  • @arpanbanejee5143
    @arpanbanejee5143 3 ปีที่แล้ว

    Awesome explanation! Please make more videos like this.

  • @xueli5641
    @xueli5641 3 ปีที่แล้ว

    Hi Jess, thanks for your videos. Are you planning to make more?

  • @rakshitpuri4192
    @rakshitpuri4192 3 ปีที่แล้ว

    Thanks, great explanation.

  • @snaily1046
    @snaily1046 3 ปีที่แล้ว

    If the window is larger than the array, wouldn't we just return the array with the largest element? I think instead the edge case should be if K < 1. Then there's no window, thus returning empty array.

    • @snaily1046
      @snaily1046 3 ปีที่แล้ว

      But great video! I like this solution a lot, thanks!

  • @tempqian9949
    @tempqian9949 3 ปีที่แล้ว

    The best explanation of all solutions I've viewed!

  • @malavshah9836
    @malavshah9836 3 ปีที่แล้ว

    Thanks for the explanation! 👍

  • @hakoHiyo271
    @hakoHiyo271 3 ปีที่แล้ว

    Wow, very nice! Please do more.

  • @ahmadalk2540
    @ahmadalk2540 3 ปีที่แล้ว

    So all this time I was pronouncing "deQewww" in a wrong way. 😅😅

  • @darshantsdarshan1
    @darshantsdarshan1 3 ปีที่แล้ว

    Good one! Thanks!

  • @3ab2
    @3ab2 3 ปีที่แล้ว

    Thank you so much! Can you please zoom in the web page when taking other video? Because some people use a laptop with only 13-inch screen. (such as me...)

  • @kapilmulchandani8108
    @kapilmulchandani8108 3 ปีที่แล้ว

    Awesome explanation! :)

  • @shashankshekhar9898
    @shashankshekhar9898 3 ปีที่แล้ว

    if( !dq.isEmpty() && dq.peekFirst() == i - k) { dq.pollFirst(); } what does it really do? Can you please explain. Thanks :)

  • @沉惊悚
    @沉惊悚 3 ปีที่แล้ว

    Have you tried your solution on this test case: [1,3,1,2,0,5] 3

    • @snaily1046
      @snaily1046 3 ปีที่แล้ว

      it works on that test case

  • @vipinamar8323
    @vipinamar8323 3 ปีที่แล้ว

    I am a noob in Java. Could you explain what is num=num*10 +s.charAt(i) - '0' do? Especially the +s.charAt(i) - '0' part

    • @Yash-uk8ib
      @Yash-uk8ib 3 ปีที่แล้ว

      converts to int

  • @lugiadark21
    @lugiadark21 3 ปีที่แล้ว

    Thank you so much, I was having a lot of trouble trying to understand this problem! You should solve more problems

  • @hiimnormal7048
    @hiimnormal7048 4 ปีที่แล้ว

    Thank you! It's the only video that's helped me actually understand sliding window with deque

  • @PrathamMantri
    @PrathamMantri 4 ปีที่แล้ว

    It was very clear, checked other videos with same logic, but yours is pretty neat.

  • @gopikrishnan8182
    @gopikrishnan8182 4 ปีที่แล้ว

    Very clear explanation

  • @kirtimanmishra8097
    @kirtimanmishra8097 4 ปีที่แล้ว

    great solution + explanation. Thanks for sharing!!

  • @caradrye702
    @caradrye702 4 ปีที่แล้ว

    thank you, this helps a lot

  • @psn999100
    @psn999100 4 ปีที่แล้ว

    Thanks, Very clear and concise. All other solutions of this problem were too hard to follow .

  • @NikhilYadav-yl1hf
    @NikhilYadav-yl1hf 4 ปีที่แล้ว

    if we were to find the minimum out of the result array then what would be the optimal solution. I thought of using a minHeap instead of an array to store the integers as the window slides and then take to top from minHeap at the end. is there an optimal way to solve this?